> ## Documentation Index
> Fetch the complete documentation index at: https://student-213fb9fc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# クロールのステータスを取得



## OpenAPI

````yaml ja/api-reference/v2-openapi.json get /crawl/{id}
openapi: 3.0.0
info:
  title: Firecrawl API
  version: v2
  description: Firecrawlのサービスを利用して、Webスクレイピングやクロールを行うためのAPIです。
  contact:
    name: Firecrawl Support
    url: https://firecrawl.dev/support
    email: support@firecrawl.dev
servers:
  - url: https://api.firecrawl.dev/v2
security:
  - bearerAuth: []
paths:
  /crawl/{id}:
    parameters:
      - name: id
        in: path
        description: クロールジョブのID
        required: true
        schema:
          type: string
          format: uuid
    get:
      tags:
        - Crawling
      summary: クロールジョブの状態を取得する
      operationId: getCrawlStatus
      responses:
        '200':
          description: 成功時のレスポンス
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CrawlStatusResponseObj'
        '402':
          description: お支払いが必要です
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Payment required to access this resource.
        '429':
          description: リクエストが多すぎます
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: >-
                      Request rate limit exceeded. Please wait and try again
                      later.
        '500':
          description: サーバーエラー
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: An unexpected error occurred on the server.
      security:
        - bearerAuth: []
components:
  schemas:
    CrawlStatusResponseObj:
      type: object
      properties:
        status:
          type: string
          description: クロールの現在の状態です。`scraping`、`completed`、`failed` のいずれかです。
        total:
          type: integer
          description: クロールを試行したページ数の合計。
        completed:
          type: integer
          description: クロールに成功したページ数。
        creditsUsed:
          type: integer
          description: このクロールで消費されたクレジット数。
        expiresAt:
          type: string
          format: date-time
          description: クロールの有効期限となる日時。
        next:
          type: string
          nullable: true
          description: >-
            次の 10MB 分のデータを取得するための URL。クロールが完了していない場合、またはレスポンスが 10MB
            を超える場合に返されます。
        data:
          type: array
          description: クロールデータ。
          items:
            type: object
            properties:
              markdown:
                type: string
              html:
                type: string
                nullable: true
                description: '`includeHtml` が true の場合のページコンテンツの HTML 版'
              rawHtml:
                type: string
                nullable: true
                description: '`includeRawHtml` が true の場合に含まれるページの生の HTML コンテンツ'
              links:
                type: array
                items:
                  type: string
                description: '`includeLinks` が true の場合のページ上のリンクの一覧'
              screenshot:
                type: string
                nullable: true
                description: '`includeScreenshot` が true の場合のページのスクリーンショット'
              metadata:
                type: object
                properties:
                  title:
                    oneOf:
                      - type: string
                      - type: array
                        items:
                          type: string
                    description: ページから抽出されたタイトル。文字列または文字列の配列です
                  description:
                    oneOf:
                      - type: string
                      - type: array
                        items:
                          type: string
                    description: ページから抽出された説明。文字列または文字列の配列です
                  language:
                    oneOf:
                      - type: string
                      - type: array
                        items:
                          type: string
                    nullable: true
                    description: ページから抽出された言語。文字列または文字列配列である場合があります
                  sourceURL:
                    type: string
                    format: uri
                    description: リクエストされた元のURL。リダイレクトが発生した場合、ページの最終URLと異なる場合があります。
                  url:
                    type: string
                    format: uri
                    description: すべてのリダイレクトをたどった後に到達するページの最終的なURL。
                  keywords:
                    oneOf:
                      - type: string
                      - type: array
                        items:
                          type: string
                    description: ページから抽出されたキーワード。文字列または文字列の配列です
                  ogLocaleAlternate:
                    type: array
                    items:
                      type: string
                    description: このページの別ロケール
                  '<any other metadata> ':
                    type: string
                  statusCode:
                    type: integer
                    description: ページのステータスコード
                  error:
                    type: string
                    nullable: true
                    description: ページのエラーメッセージ
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````